Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciStatementKind

public interface SciStatementKind

Author:
  TogetherSoft

Field Summary
`final static int` | `BREAK`
`final static int` | `CASE`
`final static int` | `CATCH_BLOCK`
`final static int` | `COMPOUND`
`final static int` | `CONTINUE`
`final static int` | `DECLARATION`
`final static int` | `DEFAULT`
`final static int` | `EMPTY`
`final static int` | `EXPRESSION`
`final static int` | `FINALLY_BLOCK`
`final static int` | `FOR`
`final static int` | `GOTO`
`final static int` | `IF`
`final static int` | `LABEL`
`final static int` | `N_A`
`final static int` | `REPEAT`
`final static int` | `RETURN`
`final static int` | `SWITCH`
`final static int` | `SYNCHRONIZED`
`final static int` | `THROW`
`final static int` | `TRY`
`final static int` | `TRY_BLOCK`
`final static int` | `WHILE_POST`
`final static int` | `WHILE_PRED`

Field Detail

### BREAK

    public final static int BREAK

### CASE

    public final static int CASE

### CATCH_BLOCK

    public final static int CATCH_BLOCK

### COMPOUND

    public final static int COMPOUND

### CONTINUE

    public final static int CONTINUE

### DECLARATION

    public final static int DECLARATION

### DEFAULT

    public final static int DEFAULT

### EMPTY

    public final static int EMPTY

### EXPRESSION

    public final static int EXPRESSION

### FINALLY_BLOCK

    public final static int FINALLY_BLOCK

### FOR

    public final static int FOR

### GOTO

    public final static int GOTO

### IF

    public final static int IF

### LABEL

    public final static int LABEL

### N_A

    public final static int N_A

### REPEAT

    public final static int REPEAT

### RETURN

    public final static int RETURN

### SWITCH

    public final static int SWITCH

### SYNCHRONIZED

    public final static int SYNCHRONIZED

### THROW

    public final static int THROW

### TRY

    public final static int TRY

### TRY_BLOCK

    public final static int TRY_BLOCK

### WHILE_POST

    public final static int WHILE_POST

### WHILE_PRED

    public final static int WHILE_PRED

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD